summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 44b073f5e..eef0b1e14 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -727,7 +727,14 @@ newpacket() {
}
oldconfig_action() {
- "${PTXDIST_TOPDIR}/scripts/kconfig/conf" -s "${kconfig}"
+ # In silent mode, we cannot redirect input. So use oldconfig
+ # instead of silentoldconfig if somebody tries to automate us.
+ tty -s
+ if [ "$?" = "0" ]; then
+ "${PTXDIST_TOPDIR}/scripts/kconfig/conf" -s "${kconfig}"
+ else
+ "${PTXDIST_TOPDIR}/scripts/kconfig/conf" -o "${kconfig}"
+ fi
}